#
# spec file for package python3-premailer
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-premailer
Version:        3.0.1
Release:        1.11
License:        Python-2.0
Summary:        Turns CSS blocks into style attributes
Url:            http://github.com/peterbe/premailer
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/p/premailer/premailer-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cssselect
BuildRequires:  python3-cssutils
BuildRequires:  python3-lxml
BuildRequires:  python3-requests
# test requirements
BuildRequires:  python3-mock
BuildRequires:  python3-nose
Requires:       python3-cssselect
Requires:       python3-cssutils
Requires:       python3-lxml
Requires:       python3-requests
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Turns CSS blocks into style attributes

When you send HTML emails you can't use style tags but instead you have
to put inline ``style`` attributes on every element. So from this:

.. code:: html

    <html>
    <style type="text/css">
    h1 { border:1px solid black }
    p { color:red;}
    </style>
    <h1 style="font-weight:bolder">Peter</h1>
    <p>Hej</p>
    </html>

You want this:

.. code:: html

    <html>
    <h1 style="font-weight:bolder; border:1px solid black">Peter</h1>
    <p style="color:red">Hej</p>
    </html>

premailer does this. It parses an HTML page, looks up ``style`` blocks
and parses the CSS. It then uses the ``lxml.html`` parser to modify the
DOM tree of the page accordingly.

%prep
%setup -q -n premailer-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sun Feb 19 2017 hpj@urpla.net
- version 3.0.1: initial build
